extreme-tuxracer-0.7.5-152.13.i586.rpm


Advertisement

Description

extreme-tuxracer - Racing game featuring Tux the Linux Penguin

Property Value
Distribution openSUSE Tumbleweed
Repository Games all
Package filename extreme-tuxracer-0.7.5-152.13.i586.rpm
Package name extreme-tuxracer
Package version 0.7.5
Package release 152.13
Package architecture i586
Package type rpm
Category Amusements/Games/3D/Race
Homepage http://sourceforge.net/projects/extremetuxracer/
License GPL-2.0-or-later
Maintainer -
Download size 263.31 KB
Installed size 728.18 KB
Extreme Tux Racer is a racing game featuring Tux
the Linux Penguin. Extreme Tux Racer continues in the tracks
of Tux Racer and its forks.

Alternatives

Package Version Architecture Repository
extreme-tuxracer-0.7.5-152.13.x86_64.rpm 0.7.5 x86_64 Games
extreme-tuxracer-0.7.5-2.3.i586.rpm 0.7.5 i586 openSUSE Oss
extreme-tuxracer-0.7.5-2.3.x86_64.rpm 0.7.5 x86_64 openSUSE Oss
extreme-tuxracer - - -

Requires

Name Value
extreme-tuxracer-data = 0.7.5
libGL.so.1 -
libGLU.so.1 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libsfml-audio.so.2.5 -
libsfml-graphics.so.2.5 -
libsfml-system.so.2.5 -
libsfml-window.so.2.5 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
application() -
application(etr.desktop) -
extreme-tuxracer = 0.7.5-152.13
extreme-tuxracer(x86-32) = 0.7.5-152.13
metainfo() -
metainfo(etr.appdata.xml) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package extreme-tuxracer-0.7.5-152.13.i586.rpm
Source Package extreme-tuxracer-0.7.5-152.13.src.rpm

Install Howto

  1. Add the Games repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/games/openSUSE_Tumbleweed/ games
  2. Install extreme-tuxracer rpm package:
    # zypper install extreme-tuxracer

Files

Path
/usr/bin/etr
/usr/share/appdata/etr.appdata.xml
/usr/share/applications/etr.desktop
/usr/share/doc/packages/extreme-tuxracer/AUTHORS
/usr/share/doc/packages/extreme-tuxracer/NEWS
/usr/share/doc/packages/extreme-tuxracer/code
/usr/share/doc/packages/extreme-tuxracer/courses_events
/usr/share/doc/packages/extreme-tuxracer/guide
/usr/share/doc/packages/extreme-tuxracer/score_algorithm
/usr/share/licenses/extreme-tuxracer/COPYING
/usr/share/pixmaps/etr.png
/usr/share/pixmaps/etr.svg

Changelog

2018-07-14 - jengelh@inai.de
- Trim filler wording from descriptions.
2018-06-22 - antoine.belvire@opensuse.org
- Update to version 0.7.5:
* Fixed a crash when score is not good enough to enter high score
list.
* Extreme Tux Racer comes with AppStream metadata.
- Remove appdata.xml from sources since it is now included in
upstream tarball.
- Clean spec file.
- Create data subpackage.
2017-02-18 - mailaender@opensuse.org
- Update to version 0.7.4
- Add appdata.xml for https://en.opensuse.org/openSUSE:AppStore
2016-07-24 - nemysis@openSUSE.org
- Update to 0.7.3, please see
/usr/share/doc/packages/extreme-tuxracer/NEWS
2016-04-15 - nemysis@openSUSE.org
- Update to 0.7.2, please see
/usr/share/doc/packages/extreme-tuxracer/NEWS
2016-02-04 - nemysis@openSUSE.org
- Update to 0.7.1, please see
/usr/share/doc/packages/extreme-tuxracer/NEWS
2016-02-03 - nemysis@openSUSE.org
- Update to 0.7.0, please see
/usr/share/doc/packages/extreme-tuxracer/NEWS
- license update: GPL-2.0+ No indication that this is GPL-2.0 (only)
- Remove BuildRequires, changed by Upstream for dos2unix,
pkgconfig(SDL_image), pkgconfig(SDL_mixer and pkgconfig(sdl)
- Add BuildRequires, changed by Upstream for sfml2-devel
- Add NEWS to Documentation
2015-09-23 - nemysis@openSUSE.org
- Use %{oname} instead of etr
- Change URL
- Use BuildRequires pkgconfig() instead of devel packages
- Add BuildRequires for dos2unix
- Change Description
- Use default autoreconf -fi and %make_install
- Use for suse_update_desktop_file and fdupes %if 0%{?suse_version}
2015-01-12 - p.drouand@gmail.com
- Update to version 0.6.0
+ No changelog available; new maitainers
- Add SDL_image-devel requirement; new upstream dependency
- Remove some hacks; upstream provide his own desktop file
- Include AUTHORS, COPYING and development related documentation
in the package
- Remove tcl-devel requirement; the Tcl scripting library has been
completely replaced with the SP library
- Remove obsolete patches
+ avp.patch
+ libpng14.patch
2014-12-06 - schwab@linux-m68k.org
- Fix GenericName in desktop file

See Also

Package Description
extreme-tuxracer-data-0.7.5-152.13.noarch.rpm Data files for extreme-tuxracer
exult-1.4.9rc1-4.19.i586.rpm Open source Ultima 7 RPG game engine
exult-1.4.9rc1-4.19.x86_64.rpm Open source Ultima 7 RPG game engine
fairymax-5.0b-5.27.i586.rpm A xboard compatible chess and chess-variant engine
fairymax-5.0b-5.27.x86_64.rpm A xboard compatible chess and chess-variant engine
falconseye-1.9.3-911.17.i586.rpm A Mouse-Driven interface for NetHack
falconseye-1.9.3-911.17.x86_64.rpm A Mouse-Driven interface for NetHack
fall-of-imiryn-2.0.svn903-1.18.noarch.rpm 2D RPG game
fife-devel-0.4.2-26.4.i586.rpm Development files for the FIFE 2D game engine
fife-devel-0.4.2-26.4.x86_64.rpm Development files for the FIFE 2D game engine
fifechan-devel-0.1.5-9.8.i586.rpm Header files for fifechan
fifechan-devel-0.1.5-9.8.x86_64.rpm Header files for fifechan
fillets-ng-1.0.1-50.5.i586.rpm Fish Fillets - Next Generation
fillets-ng-1.0.1-50.5.x86_64.rpm Fish Fillets - Next Generation
fillets-ng-data-1.0.1-31.23.noarch.rpm Game Data for Fish Fillets - Next Generation
Advertisement
Advertisement